<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2008 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    style="@style/mtk_attachment_container">

    <FrameLayout
        android:id="@+id/thumbnail"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_centerVertical="true">

        <ImageView
            android:src="@drawable/ic_attachment_holo_light"
            style="@style/attachment_thumbnail"/>

        <!--  Attachment preview -->
        <ImageView android:id="@+id/attachment_thumbnail"
            style="@style/attachment_thumbnail"/>

    </FrameLayout>

    <!-- Attachment name and size -->
    <LinearLayout
        android:orientation="vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_toRightOf="@+id/thumbnail">

        <TextView android:id="@+id/attachment_name"
            android:ellipsize="middle"
            style="@style/attachment_name" />

        <TextView android:id="@+id/attachment_size"
            style="@style/attachment_name" />

    </LinearLayout>

    <!-- Remove button -->
    <ImageView android:id="@+id/remove_attachment"
        android:src="@drawable/ic_cancel_holo_light"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_marginRight="4dip"
        android:clickable="true"
        android:layout_centerVertical="true"/>

</RelativeLayout>
